EDQUOTA(8)

NAME
edquota - edit user quotas

SYNOPSIS
/usr/etc/edquota [ -p proto-user ] users...

/usr/etc/edquota -t

DESCRIPTION
Edquota is a quota editor. One or more user login names or IDs may be specified on the command line. A temporary file with an ASCII representation of current disk quotas is created for each user and an editor is invoked on the file. New quotas can be added and existing quotas can be changed. Upon leaving the editor, edquota reads the temporary file and modifies the binary quota files to reflect the changes.

The editor invoked is vi(1) unless the environment variable EDITOR specifies otherwise.

Only the super-user may edit quotas.

OPTIONS

-p  Duplicate the quotas of the prototypical user specified for each user specified. This is the normal mechanism used to initialize quotas for groups of users.

-t  Edit the soft time limits for each filesystem. If the time limits are zero, the default time limits are used. The default time limits are specified in the file /usr/sys/conf/param.c. These default limits may be changed by reconfiguring the kernel. A time unit of either sec(onds), min(utes), hour(s), day(s), week(s), or month(s) must be supplied for each of the time limits. Time limits are printed in the greatest possible time unit such that the value is greater than or equal to one.

FILES
quotas    at the root of each filesystem with quotas
/etc/fstab    has filesystem names and locations

SEE ALSO
quota(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8)

DIAGNOSTICS
Various self-explanatory messages about inaccessible files

BUGS
The format of the temporary file is inscrutable.